Page MenuHomePhabricator

Stop calling CREATE FUNCTION from application code
Closed, ResolvedPublic2 Story Points

Description

CiviCRM 4.6 code tries to create a helper function used by a trigger on civicrm_phone, but the application db user currently doesn't have enuf permissions (or something--unknown).

Let's create this function once, as the root user, and comment it out of the code for now. This is the only place where MySQL functions are used.

Details

Related Gerrit Patches:
wikimedia/fundraising/crm/civicrm : civi-4.6.9-deploymentDon't create SQL function at runtime

Event Timeline

Change 249749 had a related patch set uploaded (by Awight):
Don't create SQL function at runtime

https://gerrit.wikimedia.org/r/249749

Change 249749 merged by Ejegg:
Don't create SQL function at runtime

https://gerrit.wikimedia.org/r/249749

Change 249768 had a related patch set uploaded (by Awight):
Bump civicrm submodule (T117044)

https://gerrit.wikimedia.org/r/249768

Change 249768 merged by Awight:
Bump civicrm submodule (T117044)

https://gerrit.wikimedia.org/r/249768

Ejegg lowered the priority of this task from Unbreak Now! to Needs Triage.Oct 29 2015, 8:12 PM
awight claimed this task.Oct 29 2015, 10:35 PM
awight set Security to None.
awight closed this task as Resolved.Oct 30 2015, 6:32 AM
awight edited a custom field.Nov 4 2015, 11:52 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 4 2015, 11:52 PM

Change 252469 had a related patch set uploaded (by Eileen):
Don't create SQL function at runtime

https://gerrit.wikimedia.org/r/252469

Change 252469 merged by Eileen:
Don't create SQL function at runtime

https://gerrit.wikimedia.org/r/252469

Change 285777 had a related patch set uploaded (by Eileen):
Don't create SQL function at runtime

https://gerrit.wikimedia.org/r/285777

Change 285777 merged by Eileen:
Don't create SQL function at runtime

https://gerrit.wikimedia.org/r/285777

mmodell removed a subscriber: awight.Jun 22 2017, 9:51 PM